package pl.sloudpl.simplevanish.cmds;

import net.md_5.bungee.api.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import pl.sloudpl.simplevanish.SimpleVanish;
import pl.sloudpl.simplevanish.utils.ColorUtils;

public class SloudVanishCMD1_16 implements CommandExecutor {

    SimpleVanish plugin;

    public SloudVanishCMD1_16(SimpleVanish plugin){
        this.plugin = plugin;
        plugin.getCommand("sloudvanish").setExecutor(this);
    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {

        if(args.length == 1){

            if(args[0].equalsIgnoreCase("reload")){
                if(sender.hasPermission("sloudpl.reload")){

                    plugin.reloadConfig();
                    sender.sendMessage(ChatColor.GREEN + "Config was reloaded!");

                } else {
                    sender.sendMessage(ColorUtils.convertHexColors(ChatColor.translateAlternateColorCodes('&', plugin.getConfig().getString("noperms"))));
                }

            } else {

                sender.sendMessage(ChatColor.RED + "Usage: /sloudvanish reload");

            }

        } else {

            sender.sendMessage(ChatColor.RED + "Usage: /sloudvanish reload");

        }

        return false;
    }

}
