package pl.sloudpl.simplevanish.events;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import pl.sloudpl.simplevanish.SimpleVanish;

import java.util.UUID;

public class onJoinEvent implements Listener {

    SimpleVanish plugin;

    public onJoinEvent(SimpleVanish plugin){
        this.plugin = plugin;
        plugin.getServer().getPluginManager().registerEvents(this, plugin);
    }

    @EventHandler
    public void PlayerJoin(PlayerJoinEvent e){
        Player player = e.getPlayer();

        for(UUID uuid : plugin.inVanishList){
            Player vanished = Bukkit.getPlayer(uuid);
            if(vanished != null){
                if(!player.hasPermission("sloudpl.vanish.see")){
                    player.hidePlayer(vanished);
                } else {
                    player.showPlayer(vanished);
                }
            }
        }
    }
}
